
#ifndef POLLIN
#include <poll.h>
#endif

#define CMDBUF_LEN 1024

typedef struct dnskey_glob {
	int debug;
	int prompt;
	int concurrent;
	int done;
	struct pollfd   l_fds[256];   /* array of input sources */
	int             l_nfds;       /* number of relevant entries */
	int             cmdloc;
	unsigned char   cmdbuf[CMDBUF_LEN];
	FILE           *cmdproto_out;
} dnskey_glob;

extern void lookup_key(dnskey_glob *gs,int, char **);
extern void lookup_key4(dnskey_glob *gs,int, char **);
extern void lookup_key6(dnskey_glob *gs,int, char **);
extern void lookup_txt(dnskey_glob *gs,int, char **);
extern void lookup_txt4(dnskey_glob *gs,int, char **);
extern void lookup_txt6(dnskey_glob *gs,int, char **);
extern void lookup_ipseckey(dnskey_glob *gs,int, char **);
extern void lookup_ipseckey4(dnskey_glob *gs,int, char **);
extern void lookup_ipseckey6(dnskey_glob *gs,int, char **);
extern void lookup_oe4(dnskey_glob *gs,int, char **);
extern void lookup_oe6(dnskey_glob *gs,int, char **);
extern void lookup_a(dnskey_glob *gs,int, char **);
extern void lookup_aaaa(dnskey_glob *gs,int, char **);

